#!/system/bin/sh
rm -f /data/local/tmp/UltraOpt_early.log /data/local/tmp/UltraOpt_service.log /data/local/tmp/backgroundtool.log /data/local/tmp/UltraOpt_postfs.log /data/local/tmp/UltrOpt_service.log /data/local/tmp/UltraOpt_service.log 2>/dev/null
if [ -f $INFO ]; then
while read LINE; do
if [ "$(echo -n $LINE | tail -c 1)" == "~" ]; then continue
elif [ -f "$LINE~" ]; then mv -f $LINE~ $LINE
else rm -f $LINE
while true; do LINE=$(dirname $LINE); [ "$(ls -A $LINE 2>/dev/null)" ] && break 1 || rm -rf $LINE; done; fi
done < $INFO
rm -f $INFO
fi